hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Allen Wittenauer <allenwittena...@yahoo.com.INVALID>
Subject Re: [DICUSS] Upgrading Guice to 4.0(HADOOP-12064)
Date Wed, 29 Jun 2016 17:27:06 GMT

> On Jun 29, 2016, at 10:16 AM, Tsuyoshi Ozawa <ozawa@apache.org> wrote:
> 
> No objections here?


I talked to a handful of non-committer ISV-type folks yesterday and the general consensus
was that there is an expectation that 3.x will have all the dependencies updated to something
relatively modern if we can't either remove from the client path[*] or shade them.  So I think
it's a safe bet that there basically won't be any major complaints for upgrades.


* - We should be able to use the same trick that is happening in hadoop-tools to do this (effectively
lazy loading). I'm not sure it's worth the time/effort/politics to make that sort of a change.
---------------------------------------------------------------------
To unsubscribe, e-mail: common-dev-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-dev-help@hadoop.apache.org


Mime
View raw message